Subject: Exit code support for command-line responses
Description

Commands should be able to define an exit code which is returned when FLOW3 exits.

Associated revisions
Revision a707d552 - 2011-08-01 20:31 - Robert Lemke

[FEATURE] Exit code support for command-line responses

This adds a new property "exit code" to the command-line response.
Controllers may set this exit code to an integer value to signal
any errors to the calling user or application. The default exit code
is "0".

This change set also uses the new feature in FLOW3's built-in commands.

Change-Id: I2ba019e0386775bd1794e6495142fe6788ed7b2e
Resolves: #28652

History
#1 - 2011-08-01 20:31 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I2ba019e0386775bd1794e6495142fe6788ed7b2e has been pushed to the review server.
It is available at http://review.typo3.org/3988

#2 - 2011-08-02 09:36 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a707d552f7782db831a257ab378566f8f21d179d.
